<ion-view cache-view="false" view-title="Servicios Activos">
  <ion-content class="serviciosAtivosPag padding">
    <div class="codigo">
      Tu código personal para servicios es
      <label class="numero">{{codigo}}</label>
    </div>

    <!-- content goes here -->
    <ion-list class="text-item-wrap">
      <ion-item
        class="item item-icon"
        ng-if="(!servicios || servicios.length == 0)"
      >
        <h1>No tienes servicios activos en el momento</h1>
      </ion-item>
      <ion-item class="item item-icon" ng-repeat="(index, item) in servicios">
        <h1>{{item.nombre_servicio}}</h1>
        <div class="row">
          <div class="col">
            ${{item.precio}}
          </div>
          <div class="col">
            {{item.fecha| date:'dd-MM-yyyy HH:mm'}}
          </div>
        </div>
        <hr />

        <span ng-if="item.estado">Servicio aceptado</span>
        <span ng-if="!item.estado">Esperando confirmación de servicio</span>
        <br />
        <div class="button-bar">
          <button
            class="button button-balanced button-clear"
            ui-sref="dashboard.punto({id_punto: item.id_punto_de_servicio})"
          >
            Punto de servicio
          </button>
          <button
            class="button button-assertive button-clear"
            ng-click="cancelarServicio(item.id_servicio, index)"
          >
            Cancelar
          </button>
        </div>
      </ion-item>
    </ion-list>
  </ion-content>
</ion-view>
